Subject: Re: GNU Smalltalk test suite failure with lightning 2.2.2

From: Andy Tai <[email-masked]>
Date: Mon, 22 May 2023 10:44:16 -0700

Thanks.  I will try to make contact with GNU Smalltalk people.

On Mon, May 22, 2023 at 5:49 AM Paulo César Pereira de Andrade
<[email-masked]> wrote:
>
> Em seg., 22 de mai. de 2023 às 01:01, Andy Tai <[email-masked]> escreveu:
> >
> > Additional info:
>
>   Hi,
>
>   GNU Smalltalk uses an embedded Lightning 1.x if built with --enable-jit.
>
>   I believe I lost most if no all emails I did exchange about porting
> lightning 2.x to work with gnu smalltalk.
>
>   Last time I tested, a few months ago, I believe only the debugger test failed.
>
>   But I tested a very old branch, with patches at
> https://github.com/pcpa/smalltalk/compare/master...scratch-lightning-branch
>
> > it seems this GNU Smalltalk has the same problem with GNU Lightning
> > 2.2.1, 2.2.0 and 2.1.4   what I have tried so far)
> >
> > On Sat, May 20, 2023 at 9:34 PM Andy Tai <[email-masked]> wrote:
> > >
> > > Hi, this is regarding GNU Smalltalk test suite failure when building
> > > with GNU Lightning at 2.2.2
> > >
> > > Context: I was trying to upgrade lightning package in GNU Guix to 2.2.2.
> > >
> > > GNU Guix is a source based GNU/Linux distribution so the way it works
> > > is that it runs the test suites of packages included in it as part of
> > > process ofm upgrading package receipts.   In the build check it was
> > > discovered that GNU Smalltalk will fail in test suites when lightning
> > > is upgraded to 2.2.2.
> > >
> > > I am trying to report this to GNU Smalltalk but it has no bug tracker
> > > and it mailing list is not very active; I am still waiting for
> > > subscribing to the mailing list.
> > >
> > > In any case, it seems GNU Smalltalk uses lightning. With this issue I
> > > cannot tell if it is a bug in GNU Smalltalk or GNU Lightning  So I
> > > will bring it up here first.
> > > with GNU Lightning at 2.2.2, then building GNU Smalltalk:
> > > key parts of log:
>
>   Please check if you can get some GNU Smalltalk contact. I would like
> to talk with any person involved again.
>
> Thanks!
> Paulo

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat: andytai1010
Year 2023 民國112年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能